Bug 1312545 - [abrt] pcmanfm-qt: xcb_setup_vendor_end(): pcmanfm-qt killed by SIGSEGV
[abrt] pcmanfm-qt: xcb_setup_vendor_end(): pcmanfm-qt killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcmanfm-qt (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ca08c4659d654320ab63b3fab1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 03:42 EST by Mustafa Muhammad
Modified: 2017-01-29 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version: pcmanfm-qt-0.11.3-3.fc25 pcmanfm-qt-0.11.3-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-29 16:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.43 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: core_backtrace (9.08 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: dso_list (12.68 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: environ (1.46 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: maps (64.79 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: mountinfo (3.29 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: open_fds (2.59 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details
File: var_log_messages (252 bytes, text/plain)
2016-02-27 03:42 EST, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2016-02-27 03:42:31 EST
Version-Release number of selected component:
pcmanfm-qt-0.10.0-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        pcmanfm-qt --desktop --profile=lxqt
crash_function: xcb_setup_vendor_end
executable:     /usr/bin/pcmanfm-qt
global_pid:     1557
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xcb_setup_vendor_end at xproto.c:869
 #1 xcb_setup_pixmap_formats at xproto.c:878
 #2 find_format_by_depth at xcb_image.c:46
 #3 xcb_image_native at xcb_image.c:388
 #4 xcb_image_shm_put at xcb_image.c:484
 #5 QXcbShmImage::put at qxcbbackingstore.cpp:237
 #6 QXcbBackingStore::flush at qxcbbackingstore.cpp:400
 #7 QBackingStore::flush at painting/qbackingstore.cpp:110
 #8 QWidgetBackingStore::qt_flush at kernel/qwidgetbackingstore.cpp:120
 #9 QWidgetBackingStore::flush at kernel/qwidgetbackingstore.cpp:1373
Comment 1 Mustafa Muhammad 2016-02-27 03:42:37 EST
Created attachment 1130988 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2016-02-27 03:42:38 EST
Created attachment 1130989 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2016-02-27 03:42:40 EST
Created attachment 1130990 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2016-02-27 03:42:42 EST
Created attachment 1130991 [details]
File: dso_list
Comment 5 Mustafa Muhammad 2016-02-27 03:42:43 EST
Created attachment 1130992 [details]
File: environ
Comment 6 Mustafa Muhammad 2016-02-27 03:42:45 EST
Created attachment 1130993 [details]
File: exploitable
Comment 7 Mustafa Muhammad 2016-02-27 03:42:46 EST
Created attachment 1130994 [details]
File: limits
Comment 8 Mustafa Muhammad 2016-02-27 03:42:48 EST
Created attachment 1130995 [details]
File: maps
Comment 9 Mustafa Muhammad 2016-02-27 03:42:50 EST
Created attachment 1130996 [details]
File: mountinfo
Comment 10 Mustafa Muhammad 2016-02-27 03:42:52 EST
Created attachment 1130997 [details]
File: namespaces
Comment 11 Mustafa Muhammad 2016-02-27 03:42:53 EST
Created attachment 1130998 [details]
File: open_fds
Comment 12 Mustafa Muhammad 2016-02-27 03:42:55 EST
Created attachment 1130999 [details]
File: proc_pid_status
Comment 13 Mustafa Muhammad 2016-02-27 03:42:56 EST
Created attachment 1131000 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-07-26 00:49:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 15 Fedora Update System 2017-01-19 09:30:34 EST
obconf-qt-0.11.1-3.fc25 lxqt-session-0.11.1-3.fc25 pcmanfm-qt-0.11.3-3.fc25 pavucontrol-qt-0.2.0-3.fc25 lxqt-sudo-0.11.1-3.fc25 lxqt-runner-0.11.1-3.fc25 lxqt-qtplugin-0.11.1-2.fc25 lxqt-powermanagement-0.11.1-3.fc25 lxqt-policykit-0.11.1-3.fc25 lxqt-panel-0.11.1-3.fc25 lxqt-openssh-askpass-0.11.1-3.fc25 lxqt-notificationd-0.11.1-3.fc25 lxqt-l10n-0.11.2-2.fc25 lxqt-globalkeys-0.11.1-3.fc25 lxqt-config-0.11.1-4.fc25 lxqt-common-0.11.2-2.fc25 lxqt-about-0.11.1-3.fc25 lxqt-admin-0.11.1-3.fc25 lximage-qt-0.5.1-3.fc25 liblxqt-0.11.1-4.fc25 libfm-qt-0.11.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb2187bc4e
Comment 16 Fedora Update System 2017-01-19 09:31:10 EST
obconf-qt-0.11.1-3.fc24 lxqt-session-0.11.1-3.fc24 pcmanfm-qt-0.11.3-3.fc24 pavucontrol-qt-0.2.0-3.fc24 lxqt-sudo-0.11.1-3.fc24 lxqt-runner-0.11.1-3.fc24 lxqt-qtplugin-0.11.1-2.fc24 lxqt-powermanagement-0.11.1-3.fc24 lxqt-policykit-0.11.1-3.fc24 lxqt-panel-0.11.1-3.fc24 lxqt-openssh-askpass-0.11.1-3.fc24 lxqt-notificationd-0.11.1-3.fc24 lxqt-l10n-0.11.2-2.fc24 lxqt-globalkeys-0.11.1-3.fc24 lxqt-config-0.11.1-4.fc24 lxqt-common-0.11.2-2.fc24 lxqt-about-0.11.1-3.fc24 lxqt-admin-0.11.1-3.fc24 lximage-qt-0.5.1-3.fc24 liblxqt-0.11.1-4.fc24 libfm-qt-0.11.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7a00b029c
Comment 17 Fedora Update System 2017-01-20 14:20:58 EST
libfm-qt-0.11.2-3.fc24, liblxqt-0.11.1-4.fc24, lximage-qt-0.5.1-3.fc24, lxqt-about-0.11.1-3.fc24, lxqt-admin-0.11.1-3.fc24, lxqt-common-0.11.2-2.fc24, lxqt-config-0.11.1-4.fc24, lxqt-globalkeys-0.11.1-3.fc24, lxqt-l10n-0.11.2-2.fc24, lxqt-notificationd-0.11.1-3.fc24, lxqt-openssh-askpass-0.11.1-3.fc24, lxqt-panel-0.11.1-3.fc24, lxqt-policykit-0.11.1-3.fc24, lxqt-powermanagement-0.11.1-3.fc24, lxqt-qtplugin-0.11.1-2.fc24, lxqt-runner-0.11.1-3.fc24, lxqt-session-0.11.1-3.fc24, lxqt-sudo-0.11.1-3.fc24, obconf-qt-0.11.1-3.fc24, pavucontrol-qt-0.2.0-3.fc24, pcmanfm-qt-0.11.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7a00b029c
Comment 18 Fedora Update System 2017-01-20 14:55:39 EST
libfm-qt-0.11.2-3.fc25, liblxqt-0.11.1-4.fc25, lximage-qt-0.5.1-3.fc25, lxqt-about-0.11.1-3.fc25, lxqt-admin-0.11.1-3.fc25, lxqt-common-0.11.2-2.fc25, lxqt-config-0.11.1-4.fc25, lxqt-globalkeys-0.11.1-3.fc25, lxqt-l10n-0.11.2-2.fc25, lxqt-notificationd-0.11.1-3.fc25, lxqt-openssh-askpass-0.11.1-3.fc25, lxqt-panel-0.11.1-3.fc25, lxqt-policykit-0.11.1-3.fc25, lxqt-powermanagement-0.11.1-3.fc25, lxqt-qtplugin-0.11.1-2.fc25, lxqt-runner-0.11.1-3.fc25, lxqt-session-0.11.1-3.fc25, lxqt-sudo-0.11.1-3.fc25, obconf-qt-0.11.1-3.fc25, pavucontrol-qt-0.2.0-3.fc25, pcmanfm-qt-0.11.3-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb2187bc4e
Comment 19 Fedora Update System 2017-01-29 16:51:19 EST
libfm-qt-0.11.2-3.fc25, liblxqt-0.11.1-4.fc25, lximage-qt-0.5.1-3.fc25, lxqt-about-0.11.1-3.fc25, lxqt-admin-0.11.1-3.fc25, lxqt-common-0.11.2-2.fc25, lxqt-config-0.11.1-4.fc25, lxqt-globalkeys-0.11.1-3.fc25, lxqt-l10n-0.11.2-2.fc25, lxqt-notificationd-0.11.1-3.fc25, lxqt-openssh-askpass-0.11.1-3.fc25, lxqt-panel-0.11.1-3.fc25, lxqt-policykit-0.11.1-3.fc25, lxqt-powermanagement-0.11.1-3.fc25, lxqt-qtplugin-0.11.1-2.fc25, lxqt-runner-0.11.1-3.fc25, lxqt-session-0.11.1-3.fc25, lxqt-sudo-0.11.1-3.fc25, obconf-qt-0.11.1-3.fc25, pavucontrol-qt-0.2.0-3.fc25, pcmanfm-qt-0.11.3-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2017-01-29 17:17:38 EST
libfm-qt-0.11.2-3.fc24, liblxqt-0.11.1-4.fc24, lximage-qt-0.5.1-3.fc24, lxqt-about-0.11.1-3.fc24, lxqt-admin-0.11.1-3.fc24, lxqt-common-0.11.2-2.fc24, lxqt-config-0.11.1-4.fc24, lxqt-globalkeys-0.11.1-3.fc24, lxqt-l10n-0.11.2-2.fc24, lxqt-notificationd-0.11.1-3.fc24, lxqt-openssh-askpass-0.11.1-3.fc24, lxqt-panel-0.11.1-3.fc24, lxqt-policykit-0.11.1-3.fc24, lxqt-powermanagement-0.11.1-3.fc24, lxqt-qtplugin-0.11.1-2.fc24, lxqt-runner-0.11.1-3.fc24, lxqt-session-0.11.1-3.fc24, lxqt-sudo-0.11.1-3.fc24, obconf-qt-0.11.1-3.fc24, pavucontrol-qt-0.2.0-3.fc24, pcmanfm-qt-0.11.3-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.